# Class DistanceResult

java.lang.Object
org.snpeff.pdb.DistanceResult

public class DistanceResult extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`aa1`
`char`
`aa2`
`int`
`aaPos1`
`int`
`aaPos2`
`String`
`chr1`
`String`
`chr2`
`static boolean`
`debug`
`double`
`distance`
`String`
`pdbChainId1`
`String`
`pdbChainId2`
`int`
`pos1`
`int`
`pos2`
`String`
`proteinId`
`String`
`trId1`
`String`
`trId2`

## Constructor Summary

Constructors
Constructor
Description
`DistanceResult()`
`DistanceResult(String line)`
`DistanceResult(String proteinId, org.biojava.nbio.structure.AminoAcid aa1, org.biojava.nbio.structure.AminoAcid aa2, Transcript tr1, Transcript tr2, double distance)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareByPos(DistanceResult d)`
Compare by genomic position
`boolean`
`equalPos(DistanceResult d)`
Same genomic positions
`String`
`getId()`
`boolean`
`hasValidCoords()`
`void`
`setAa1(org.biojava.nbio.structure.AminoAcid aa)`
`void`
`setAa2(org.biojava.nbio.structure.AminoAcid aa)`
`void`
`setTr1(Transcript tr)`
`void`
`setTr2(Transcript tr)`
`String`
`toString()`
`String`
`toStringPos()`
Show genomic positions only

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static boolean debug

### aa1

public char aa1

### aa2

public char aa2

### aaPos1

public int aaPos1

### aaPos2

public int aaPos2

### chr1

public String chr1

### chr2

public String chr2

### pos1

public int pos1

### pos2

public int pos2

### distance

public double distance

### proteinId

public String proteinId

### pdbChainId1

public String pdbChainId1

### pdbChainId2

public String pdbChainId2

### trId1

public String trId1

### trId2

public String trId2

## Constructor Details

### DistanceResult

public DistanceResult()

### DistanceResult

public DistanceResult(String proteinId, org.biojava.nbio.structure.AminoAcid aa1, org.biojava.nbio.structure.AminoAcid aa2, Transcript tr1, Transcript tr2, double distance)

### DistanceResult

public DistanceResult(String line)

## Method Details

### compareByPos

public int compareByPos(DistanceResult d)
Compare by genomic position

### equalPos

public boolean equalPos(DistanceResult d)
Same genomic positions

### getId

public String getId()

### hasValidCoords

public boolean hasValidCoords()

### setAa1

public void setAa1(org.biojava.nbio.structure.AminoAcid aa)

### setAa2

public void setAa2(org.biojava.nbio.structure.AminoAcid aa)

### setTr1

public void setTr1(Transcript tr)

### setTr2

public void setTr2(Transcript tr)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringPos

public String toStringPos()
Show genomic positions only